Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022751
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementcriticalalways2013-01-09 12:392013-01-10 20:31
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision7c294fcd880f
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomirurita
Web browser
ModulesCore
Regression levelPackaging and release
Regression date2012-11-14
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022751: Revert changes made when fixing Issue 19043.

DescriptionRevert changes made when fixing Issue 19043.
When fixing this Issue a semantic API change was introduced.
In the M_MatchPO table records should only be inserted when the Goods Receipt is completed.
Revert changes made afterwards related to it.
Steps To ReproduceRevert changes made when fixing Issue 19043.
When fixing this Issue a semantic API change was introduced.
In the M_MatchPO table records should only be inserted when the Goods Receipt is completed.
Revert changes made afterwards related to it.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0019043 newTriage Finance Openbravo allows entering the same purchase order line info in the Good Receipt window more than once 

-  Notes
(0055423)
hgbot (developer)
2013-01-09 16:22

Repository: erp/devel/pi
Changeset: 7c294fcd880f77a45ca01905b13455b39739a7e8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Jan 09 12:41:13 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7c294fcd880f77a45ca01905b13455b39739a7e8 [^]

Fixes Issue 22751. Revert changes made when fixing Issue 19043

---
M src-db/database/model/functions/M_INOUT_POST.xml
M src-db/database/model/triggers/M_INOUTLINE_TRG.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Invoice_data.xsql
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment_data.xsql
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0055427)
mirurita (developer)
2013-01-09 16:58

code review + testing ok
(0055467)
hudsonbot (developer)
2013-01-10 20:31

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/67a6d258fb63 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-09 12:39 dmiguelez New Issue
2013-01-09 12:39 dmiguelez Assigned To => dmiguelez
2013-01-09 12:39 dmiguelez Modules => Core
2013-01-09 12:39 dmiguelez Triggers an Emergency Pack => No
2013-01-09 12:40 dmiguelez Regression level => Packaging and release
2013-01-09 12:40 dmiguelez Regression date => 2012-11-14
2013-01-09 12:40 dmiguelez Relationship added related to 0019043
2013-01-09 16:22 hgbot Checkin
2013-01-09 16:22 hgbot Note Added: 0055423
2013-01-09 16:22 hgbot Status new => resolved
2013-01-09 16:22 hgbot Resolution open => fixed
2013-01-09 16:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7c294fcd880f77a45ca01905b13455b39739a7e8 [^]
2013-01-09 16:58 mirurita Review Assigned To => mirurita
2013-01-09 16:58 mirurita Note Added: 0055427
2013-01-09 16:58 mirurita Status resolved => closed
2013-01-09 16:58 mirurita Fixed in Version => pi
2013-01-10 20:31 hudsonbot Checkin
2013-01-10 20:31 hudsonbot Note Added: 0055467
2016-05-30 18:50 ngarcia Relationship added has duplicate 0024329
2016-05-30 18:50 ngarcia Relationship deleted has duplicate 0024329


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker